#pragma once
#include <gtkmm/application.h>
#include <glibmm/ustring.h>
#include "MainWindow.hpp"
#include "PrefWindow.hpp"

namespace components {

    // Класс приложения
    class App: public Gtk::Application
    {
    public:
        static Glib::RefPtr<App> create();

    protected:
        App();
        void on_startup() override;
        void on_activate() override;
        void onActionQuit();
        void onActionPrefs();
        
    private:
        MainWindow* createMainWindow();
        PrefWindow* createPrefWindow();
    };
}
